rm(list = ls())

##4.2 - CERVEJAS
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata") 
cervejas 
cervejas.plot<-table(cervejas) 
cervejas.plot 
barplot(cervejas.plot)
dotchart(cervejas.plot)
#A funo dotchart mostra mais dados gastando menos tinta.

##4.3 - CAIXETAIS

caixeta <- read.csv("caixeta.csv")
caixeta
dap <- caixeta$cap/pi
histograma.dap <- hist(dap.caixeta)
hist(caixeta$h[caixeta$local=="chauas"],xlab = "Altura",main = "Chauas") 
hist(caixeta$h[caixeta$local=="jureia"],xlab = "Altura",main = "Jureia") 
hist(caixeta$h[caixeta$local=="retiro"],xlab = "Altura",main = "Retiro")
#Sim

##4.4 - Eucaliptos

grandis <- read.csv("egrandis.csv", sep = ";")
boxplot(grandis$dap~grandis$rotacao, data = grandis)
boxplot(grandis$dap~grandis$regiao, data = grandis)
qqnorm(grandis$ht)
qqline(grandis$ht)
#A altura no possui uma distribuio normal

##4.5 - Mais caixetais

caixeta <- read.csv("caixeta.csv")
caixeta
caixeta2 <- subset(caixeta, especie == "Tabebuia cassinoides")
caixeta2$area.basal <- pi*(caixeta2$cap/(2*pi))^2
caixeta2$dap <- 2*sqrt(caixeta2$area.basal/pi)
lista=list(altura=caixeta2$h, arvore=caixeta2$arvore, local=caixeta2$local)
caixeta2arvore <- aggregate(caixeta2, by=lista, sum)
s1=subset(caixeta2arvore, subset = caixeta2arvore$local=="chauas") 
s2=subset(caixeta2arvore, subset = caixeta2arvore$local=="jureia") 
s3=subset(caixeta2arvore, subset = caixeta2arvore$local=="retiro") 
chauas=plot( x = s1$x, y = s1$h, ylab = "altura", xlab = "DAP",title("Tabebuia cassinoides - chauas")) 
jureia=plot( x = s2$x, y = s2$h, ylab = "altura", xlab = "DAP",title("Tabebuia cassinoides - jureia")) 
retiro=plot( x = s3$x, y = s3$h, ylab = "altura", xlab = "DAP",title("Tabebuia cassinoides - retiro"))
