# Exercicio 5 - Criacao de graficos

# 5.1
saligna <- read.table("esaligna.csv", head=TRUE, as.is=TRUE, sep=";", dec=".")
saligna

plot (dap~ht, data=saligna, bty="l", pch=19, xlab="Diâmetro à altura do peito (cm)", ylab="Altura (m)",col="red", cex.axis=1.5, cex.main=1.8, cex.lab=1.7, cex=1.4, tcl=0.3, las=1,main= (expression(italic("Eucalypthus saligna"))))

X11(type="cairo")
savePlot("saligna.png", type="png")

# 5.2
par(mfrow=c(1,2))
boxplot(dap~talhao, data=saligna, xlab="talhao", ylab="dap", main="a", cex.axis=1.5, cex.main=1.8, cex.lab=1.7, cex=1.4, las=1)
media <- tapply(saligna$dap,saligna$talhao, FUN=mean)
media
dp <- tapply(saligna$dap,saligna$talhao, FUN=sd) 
dp
menos <- media-dp
menos
mais <- media+dp
mais
matriz <-matrix(data=c(media,dp,menos,mais),nrow=6,ncol=4,byrow=F, dimnames=list(c("16","17","18","22","23","32"),c("media","dp","menos","mais")))
matriz
plot(matriz[,"media"], cex.axis=1.5, cex.main=1.8, cex.lab=1.7, cex=1.4, tcl=0.3, las=1, bty="l", pch=19, col="red", xlim=c(1,6), ylim=c(6,22),xlab="talhao", ylab="dap", xaxt="n", main="b")
axis(side=1, cex.axis=1.5,tcl=0.3,at=c(1,2,3,4,5,6),labels= c("16","17","18","22","23","32"))
segments(x0=1:6,y0=matriz[,"menos"],x1=1:6,y1= matriz[,"mais"])
x11(type="cairo")
savePlot("ab.png", type="png")

# 5.3
exercicio3 <- read.table ("exercicio3.csv", header=TRUE, sep=";", dec=".")
exercicio3
par(mfrow=c(1,2), mar=c(3.5,3.5,2,2), mgp=c(2.1,0.5,0))
plot(exercicio3$y1~exercicio3$x1, xlim=c(0.5,2.2), ylim=c(0,3), type="p", xlab="Log(Patch size)(ha)",  ylab="Euclidean distances", pch=17, bty="l", family="serif", tcl=0.4, cex.lab=1.5,cex.axis=1.2,cex=1.5)
text(x=2.2,y= 3, "a", cex=2, family="serif")
segments(x0=0.5,x1=2.3, y0=2.05, y1=1, lwd=2)
par(mar=c(3.5,2,1,1), mgp=c(1.8,0.8,0), bty="l", tcl= 0.4, family="serif", cex.axis=1) 
boxplot(exercicio3$x2~exercicio3$y2, xaxt="n", ylim=c(0,3), outline=FALSE)
text(x=6.5,y=3, "b", cex=2, family="serif")
axis(side=1,at=c(1,2,3,4,5,6),labels= c("Small\n","Medium\n Edge","Medium\n Interior","Large\n Edge","Large\n Interior","Control\n"), mgp=c(1.6,1.6,0)) 
points(x=c(1,2,2.90,3.10,4,4.80,5,5.20),y=rep(3,8), pch="*", cex=2)
