#Exercícios 8. Reamostragem e Simulação
#Exercício 1.

eutad<-read.table("palmadulto.txt", header= TRUE,sep = "\t", as.is = TRUE)
eutad
str(eutad)
class(eutad)
head(eutad)
tail(eutad)

#Criar um objeto para criar as distâncias
dist=matrix(NA, ncol=102, nrow=102)
dist

for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}
dist

(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn)) 

#Simulando

(resultado<-rep(NA,1000))
resultado[1]<-mnn

for(k in 2:1000)
  {
     xsim<-round(runif(102,0,320),1)
     ysim<-round(runif(102,0,320),1)
     xysim<-data.frame(xsim,ysim)
     xymatdist<-matrix(NA,nrow=102,ncol=102)
     
  
    for(i in 1:101)
  {
    for(j in (i+1):102)
  {
    difx2<-(xysim$xsim[i]-xysim$xsim[j])^2
    dify2<-(xysim$ysim[i]-xysim$ysim[j])^2
    xymatdist[i,j]<-sqrt(difx2 + dify2)
    xymatdist[j,i]<-sqrt(difx2 + dify2)
    
  }
       
  }
     resultado[k]<-mean(apply(xymatdist,1,min,na.rm=TRUE))
    
    
  }
resultado

#Criando um histograma
hist(resultado-mean(resultado))
abline(v=resultado[1]-mean(resultado),col="red")# coloca uma linha vermelha no valor 1 do vetor resultado
abline(v=(resultado[1]-mean(resultado))*-1,col="red")

#probabilidade de uma distribuição espacial aleatória gerar valores iguais ou mais extremos do que o valor MNN observado

prob<-sum((resultado-mean(resultado))<=(resultado[1]-mean(resultado)) | ((resultado-mean(resultado)>=(resultado[1]-mean(resultado))*-1)))
prob
(p.val <- prob/length(resultado))
















