#Exercicio 7.1

alt_2<-c(39,30,32,34,35,36,36,30)
alt_ad<- c(71,63,63,67,68,68,70,64)


alturas<- data.frame (alt_2,alt_ad) 


alturas.lm<-lm(alt_ad~alt_2, data=alturas)
summary(alturas.lm)

alturas.conf<-confint(alturas.lm)

plot(alt_ad~alt_2, data=alturas)
linha.regressao<-abline(alturas.lm, col="blue")
linha.crenca<-abline(a=0, b=2, col="red")
# ao observar as linhas no grafico, percebe-se que os resultados do modelo real no corroboram com a hipotese do censo-comum devido aos valores dos intervalos de confiana do modelo real muito distantes dos valores esperados pela hipotese do censo-comum onde o intercepto seria 0 e a inclinacao 2.

#Exercicio 7.2

anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

anova(anim.m0,anim.m2)
anova(anim.m2)

#o modelo anim.m0  um modelo nulo, desta forma ao comparar os modelos anim.m2 com o anim.m0, o resultado reflete a analise do modelo anim.m2(tamanho do cerebro em funo ao tamanho do corpo), sendo os valores praticamente os mesmos.

summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))

# A mdia calculada  referente ao inteceptor do modelo nulo (anim.m0) e o desvio calculado  o valor do erro padro do modelo nulo.

anim.m0 <- update(anim.m2, .~. -log(body)) # forma dirente de fazer um modelo nulo
