## Exercicio 4.2
#1
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
barplot(table(cervejas))
dotchart(table(cervejas))
#2
#resp: barplot

#Exercio 4.3
cax<-read.table("C:/Users/Livia/Desktop/Disciplina R_USP/exercicios/capitulo3/caixeta.csv", sep=",",header=T, as.is = T)
head(cax)
str(cax)
#considerando que a tabela não tem o DAP e que o cap de cada fuste é a circuferencia na altura do peito, foi calculado o dap a partir da formula abaixo
cax$dap = cax$cap/pi
hist( cax$dap )
hist.chauas<- hist(cax$h[cax$local==unique(cax$local)[1]], breaks=15, xlab = "altura das árvores em Chauas")
hist.jureia<- hist(cax$h[cax$local==unique(cax$local)[2]], breaks=15, xlab = "altura das árvores em Jureia")
hist.retiro<- hist(cax$h[cax$local==unique(cax$local)[3]], breaks=15, xlab = "altura das árvores em Retiro")
#3
#sim. os histogramas por local mostram a variação de tamanho para cada um desses locais, resultando em gráficos diferentes.

#Exercicio 4.4
#1
egrandis<-read.table("C:/Users/Livia/Desktop/Disciplina R_USP/exercicios/capitulo3/egrandis.csv", sep=";", header=T, as.is=T)
head(egrandis)
str(egrandis)
boxplot(egrandis$dap~egrandis$regiao+egrandis$rotacao)
qqnorm(egrandis$ht)
qqline(egrandis$ht)

#2 - a distribuição não é normal de acordo com o grafico

#Exercicio 4.5
#1
#calculo da Area Basal por fustes
cax$AB<-pi*(cax$dap/2)^2

#criação da planilha de interesse para o exercicio por arvore
cax_AB<-aggregate(cax$AB, list(cax$arvore, cax$h, cax$especie, cax$local), sum)
names(cax_AB)<-c("arvore", "alt", "especie", "local", "AB_arvore")
cax_AB$dap<-2*sqrt(cax_AB$AB/pi)
head(cax_AB)

plot(cax_AB$dap[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"], cax_AB$alt[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"], xlab="Alt(cm) das árvores em Chauas", yla="DAP(cm)")
plot(cax_AB$dap[cax_AB$local=="jureia"][cax_AB$especie=="Tabebuia cassinoides"], cax_AB$alt[cax_AB$local=="jureia"][cax_AB$especie=="Tabebuia cassinoides"], xlab="Alt(cm) das árvores em Jureia", yla="DAP(cm)")
plot(cax_AB$dap[cax_AB$local=="retiro"][cax_AB$especie=="Tabebuia cassinoides"], cax_AB$alt[cax_AB$local=="retiro"][cax_AB$especie=="Tabebuia cassinoides"], xlab="Alt(cm) das árvores em Retiro", yla="DAP(cm)")

#2
scatter.smooth(cax_AB$dap[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"], cax_AB$alt[cax_AB$local=="chauas"][cax_AB$especie=="Tabebuia cassinoides"], xlab="Alt(cm) das árvores em Chauas", yla="DAP(cm)")
scatter.smooth(cax_AB$dap[cax_AB$local=="jureia"][cax_AB$especie=="Tabebuia cassinoides"], cax_AB$alt[cax_AB$local=="jureia"][cax_AB$especie=="Tabebuia cassinoides"], xlab="Alt(cm) das árvores em Jureia", yla="DAP(cm)")
scatter.smooth(cax_AB$dap[cax_AB$local=="retiro"][cax_AB$especie=="Tabebuia cassinoides"], cax_AB$alt[cax_AB$local=="retiro"][cax_AB$especie=="Tabebuia cassinoides"], xlab="Alt(cm) das árvores em Retiro", yla="DAP(cm)")

#3   
install.packages("lattice")
library(lattice)
xyplot(cax_AB$dap~cax_AB$alt |cax_AB$local[cax_AB$especie=="Tabebuia cassinoides"], xlab="Alt(cm)", yla="DAP(cm)")
