#exercicio 6.2

mudas<-read.table("http://ecologia.ib.usp.br/bie5782/lib/exe/fetch.php?media=dados:altura-mudas.csv", sep=",", dec=".", header=T, as.is = T)
head(mudas)
str(mudas)
#mudas$substrato - fator de interesse
#mudas$altura - varivel medida
#6 replicas

tamboril<-mudas[mudas$especie=="tamboril",]
media.total<-mean(tamboril$altura)
media.grupo<-aggregate(tamboril$altura, list(tamboril$substrato), mean,)
colnames(media.grupo)<-c("substrato", "media")

#Grafico Variao total
plot(c(1:length(tamboril$altura)),tamboril$altura, 
     pch=14+tamboril$substrato, 
     col=tamboril$substrato,
    xlab="",
     ylab="Altura(m)", 
     main="Variao Total")
for(i in 1:60)
{
  lines(c(i,i),c(tamboril$altura[i],media.total),col=tamboril$substrato[i])
}
abline(h=media.total)

# Grafico variao intra Grupos

plot(c(1:length(tamboril$altura)),tamboril$altura,
     pch=14+tamboril$substrato, 
     col=tamboril$substrato,
     xlab="",
     ylab="Altura(m)", 
     main="Variao Intra Grupos")
for(i in 1:60)
{
  lines(c(i,i),
        c(tamboril$altura[i],(rep(media.grupo$media, each=6)[i])),
        col=tamboril$substrato[i])
}
lines(c(1,6),c(media.grupo$media[1],media.grupo$media[1]),col=1)
lines(c(7,12),c(media.grupo$media[2],media.grupo$media[2]),col=2)
lines(c(13,18),c(media.grupo$media[3],media.grupo$media[3]),col=3)
lines(c(19,24),c(media.grupo$media[4],media.grupo$media[4]),col=4)
lines(c(25,30),c(media.grupo$media[5],media.grupo$media[5]),col=5)
lines(c(31,36),c(media.grupo$media[6],media.grupo$media[6]),col=6)
lines(c(37,42),c(media.grupo$media[7],media.grupo$media[7]),col=7)
lines(c(43,48),c(media.grupo$media[8],media.grupo$media[8]),col=8)
lines(c(49,54),c(media.grupo$media[9],media.grupo$media[9]),col=9)
lines(c(55,60),c(media.grupo$media[10],media.grupo$media[10]),col=10)

### GRafico Variao Entre Grupos

plot(c(1:length(tamboril$altura)),
     rep(media.grupo$media, each=6),
     pch=14+tamboril$substrato, 
     col=tamboril$substrato,
     xlab="",
     ylab="Altura(m)", 
     main="Variao Intra Grupos")
for(i in 1:60)
{
 lines(c(i,i),
       c((rep(media.grupo$media, each=6)[i]), media.total),
       col=tamboril$substrato[i])
}

abline(h=media.total)

#####
ss.intra<- sum((tamboril$altura-rep(media.grupo$media, each=6))^2)
ss.entre <- 6*sum((media.grupo$media - rep(media.total,each=10))^2)
ss.total<- sum(ss.entre,ss.intra)
gltotal <-59
glentre<-9
glintra<-59-9

ms.intra<-ss.intra/glintra
ms.entre<- ss.entre/glentre

razao<-ms.entre/ms.intra
prob<-pf(razao,9,50, lower.tail=F)
porc<-1-prob
