## 9.2 Exerccio Anlise exploratria simultnea de duas variveis##

install.packages("plotrix")
library("plotrix")

explora <- function(x,y)
        {                                   
       par(mfrow=(c(2,1)),                  
      mar=c(4,4,2,2),                      
      cex.main=0.9,                        
      las=1,                               
      bty="n")
  
  boxplot(list(x,Y)) ylim=c(min(x,y), max(x,y)) legend("topright", legend = c("X", "Y"))
  
  multhist(list(x,y), beside = T, col=c(2, 4), 
           xlab= "Amostragem", ylab= "Observaes")
  
  summaryx <- summary(x)
  summaryy <- summary (y)
  
  sumario <- list(Var.x = summaryx, Var.y = summaryy)
  corr <- list(coef.corr = cor(x, y))
  return(list = c(sumario, corr))
  
  }

x <- rnorm (200, 10, 4)
y <- rnorm (200, 6, 3)

explora(x, y)
