#Analises Exploratorias

#Exercicio 4.2 - Cervejas
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma",
"lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma",
"garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
cervejas
##1
table.cerv <- table(cervejas)
table.cerv
graf.barras <- barplot(table.cerv)
dotchart(table.cerv)
##2. Dotplot

#Exerccio 4.3 - Caixetais
caixeta <- read.csv("caixeta.csv", as.is=T)
caixeta
str(caixeta)
summary(caixeta)
##1
##Calculando o dap a partir do cap: cap=2*pi*r
##cap=2*pi*(dap/2)
##dap=cap/pi
caixeta$dap <- caixeta$cap/pi
caixeta
hist(caixeta$dap)
##2
hist(caixeta$h[caixeta$local=="chauas"],xlim=range(0:500))
hist(caixeta$h[caixeta$local=="jureia"],xlim=range(0:500))
hist(caixeta$h[caixeta$local=="retiro"],xlim=range(0:500))
##3. As distribuicoes de tamanhos dos caixetais sao semelhantes, se concentrando entre 0 e 200

#Exercicio 4.4 - Eucaliptos
e.grandis <- read.table("egrandis.csv", header=T, sep=";", as.is=F)
e.grandis
str(e.grandis)
summary(e.grandis)
##1
boxplot(dap~regiao*rotacao, data=e.grandis, xlab = "Regiao e Rotacao", ylab="DAP (cm)")
boxplot(dap~regiao, data=e.grandis,xlab = "Regiao", ylab="DAP (cm)")
boxplot(dap~rotacao, data=e.grandis,xlab = "Rotacao", ylab="DAP (cm)")
##Percebe-se que as medianas (~10cm) e minimos (~3cm) das 4 regioes sao semelhantes, porem os maximos apresentam maior variacao e que ha outliers em Bofete. Sobre as rotacoes, a rotacao 1 esta relacionada com DAPs maiores e apresenta maior quantidade de outliers.Sobre a interacao entre regiao e rotacao, a rotacao 1 e maior em todas as regioes e a rotacao 1 em Bofete apresenta mais outliers.

##2
qqnorm(e.grandis$h)
qqline(e.grandis$h, col="blue")
##Os dados nao seguem uma distribuicao normal


#Exercicio 4.5 - Mais Caixetais
##Objeto criado em 4.3
caixeta
##1
T.cassi <- caixeta[caixeta$especie=="Tabebuia cassinoides",]
T.cassi
T.cassi$area.basal <- pi*((T.cassi$dap/2)^2)
T.cassi
soma.area <- aggregate(T.cassi$area.basal,by=list(T.cassi$local,T.cassi$arvore,T.cassi$h), sum)
colnames(soma.area) <- c("Local","Arvore","Altura","Area")
soma.area
soma.area$dap.total <- 2*sqrt(soma.area$Area/pi)
soma.area
par(mfrow=c(1,3))
plot(dap.total~Altura, data=soma.area, subset=Local=="chauas", xlim=range(0:500), ylim=range(0:500),
main="Chauas")
plot(dap.total~Altura, data=soma.area, subset=Local=="jureia", xlim=range(0:500), ylim=range(0:500),
main="Jureia")
plot(dap.total~Altura, data=soma.area, subset=Local=="retiro", xlim=range(0:500), ylim=range(0:500),
main="Retiro")
##Percebe-se uma correlacao positiva entre o dap e a altura da arvore nas tres localidades
##2 
par(mfrow=c(1,3))
scatter.smooth(soma.area$Altura[soma.area$Local=="chauas"],soma.area$dap.total[soma.area$Local=="chauas"],
xlim=range(0:500),ylim=range(0:500),main="Chauas",xlab="Altura",yla="DAP",col="red")
scatter.smooth(soma.area$Altura[soma.area$Local=="jureia"],soma.area$dap.total[soma.area$Local=="jureia"],
xlim=range(0:500),ylim=range(0:500),main="Jureia",xlab="Altura",yla="DAP",col="red")
scatter.smooth(soma.area$Altura[soma.area$Local=="retiro"],soma.area$dap.total[soma.area$Local=="retiro"],
xlim=range(0:500),ylim=range(0:500),main="Retiro",xlab="Altura",yla="DAP",col="red")
##No parece ter uma relacao entre o dap e altura no caixetal chauas

##3
xyplot(dap.total~Altura|Local, data=soma.area)

